  mail_dovecot:
    container_name: ${COMPOSE_PROJECT_NAME:-default}-mail_dovecot
    build:
      context: ./mail_dovecot/
      args:
        LINUX_ROOT_PASSWORD: ${LINUX_ROOT_PASSWORD}
    working_dir: /
    entrypoint: /usr/bin/env
    command: cmd_master.sh
    environment:
      - HEHE_ENVIRONMENT
      - COMPOSE_PROJECT_NAME
      - MYSQL_ROOT_PASSWORD
      - MAILSERVER_DEFAULT_DOMAIN
      - MAILSERVER_DOVECOT_MYSQL_USERNAME
      - MAILSERVER_DOVECOT_MYSQL_PASSWORD
      - MAILSERVER_DOVECOT_MYSQL_DATABASE
      - EMAILACCOUNTS_PASSWORD
    volumes:
      - ./volumes-common/file/etc/rsyslog.conf:/etc/rsyslog.conf
      - ./mail_dovecot/volumes/file/etc/supervisor/conf.d/supervisord.conf:/etc/supervisor/conf.d/supervisord.conf
      - ./mail_dovecot/volumes/file/root/.bash_history:/root/.bash_history
      - ./mail_dovecot/volumes/file/usr/local/bin/cmd_master.sh:/usr/local/bin/cmd_master.sh
      - ./mail_dovecot/volumes/file/usr/local/bin/service_reinitialize.sh:/usr/local/bin/service_reinitialize.sh
      - ./mail_dovecot/volumes/file/usr/local/bin/service_start.sh:/usr/local/bin/service_start.sh

      - ./volumes-common/file/usr/local/bin/wait_for_mariadb.sh:/usr/local/bin/wait_for_mariadb.sh
      - ./volumes-common/file/usr/local/bin/mysql:/usr/local/bin/mysql
      - ./volumes-common/file/usr/local/bin/mysqladmin:/usr/local/bin/mysqladmin
      - ./volumes-common/file/usr/local/bin/wait_for_mysql.sh:/usr/local/bin/wait_for_mysql.sh

      - ./mail_dovecot/volumes/file/usr/local/bin/keep_syncing_mail_to_host_volume.sh:/usr/local/bin/keep_syncing_mail_to_host_volume.sh

      - ./mail_dovecot/volumes/directory/mail_storage/:/mail_storage/
      - ./mail_dovecot/volumes/file/etc/dovecot/dovecot.conf:/etc/dovecot/dovecot.conf
      - ./mail_dovecot/volumes/file/etc/dovecot/conf.d/10-logging.conf:/etc/dovecot/conf.d/10-logging.conf
      - ./mail_dovecot/volumes/file/etc/dovecot/conf.d/10-mail.conf:/etc/dovecot/conf.d/10-mail.conf
      - ./mail_dovecot/volumes/file/etc/dovecot/conf.d/10-master.conf:/etc/dovecot/conf.d/10-master.conf
      - ./mail_dovecot/volumes/file/etc/dovecot/conf.d/10-ssl.conf:/etc/dovecot/conf.d/10-ssl.conf
      - ./mail_dovecot/volumes/file/etc/dovecot/conf.d/15-lda.conf:/etc/dovecot/conf.d/15-lda.conf
    depends_on:
      - mariadb
      - mysql
    networks:
      savemetenminutes-default:
        ipv4_address: ${NETWORK_SUBNET_FIRST_AND_SECOND_OCTETS:-222.222}.${NETWORK_SUBNET_THIRD_OCTET:-222}.161
        aliases:
          - mail_dovecot.${COMPOSE_PROJECT_NAME:-default}
    ports:
      - "16101:9001"
      - "16122:22"
      - "16110:110" # POP3
      - "16143:143" # IMAP
      - "16193:993" # IMAP
      - "16195:995" # POP3
    expose:
      - "9001"
      - "22"
      - "110" # POP3
      - "143" # IMAP
      - "993" # IMAP
      - "995" # POP3
